# -*- coding: utf-8 -*-
# PyMoneyStats - On-Line Budget Manager
#
# Copyright (C) 2012 Mark Hall
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
u"""

.. moduleauthor:: Mark Hall <mark.hall@mail.room3b.eu>
"""

import copy
import json

from pywebtools import form, text

def update_total(total, item):
    if item.direction == 'in':
        total = total + item.amount
    else:
        total = total - item.amount
    return total

def analysis_years(request):
    return range(2012, 2015)

def config_setting(request, key, default=None):
    settings = request.registry.settings
    if key in settings:
        return settings[key].decode('utf8')
    else:
        return default

def update_query_params(r, new_params=None):
    if new_params:
        new_keys = set([p[0] for p in new_params])
        for key, value in r.params.items():
            if key not in new_keys:
                new_params.append((key, value))
        return new_params
    else:
        return r.params

_VERSION = None

def version():
    global _VERSION
    if not _VERSION:
        from pymoneystats import VERSION
        _VERSION = VERSION
    return _VERSION
