# -*- coding: utf-8 -*-
u"""

.. moduleauthor:: Mark Hall <mark.hall@mail.room3b.eu>
"""
from argparse import ArgumentParser

def get_user_parameter(prompt, default=''):
    if default:
        prompt = '%s [%s]: ' % (prompt, default)
    else:
        prompt = '%s: ' % (prompt)
    response = raw_input(prompt)
    if response.strip() == '':
        return default
    else:
        return response

def version(args):
    from pymoneystats import VERSION
    
    print 'PyMoneyStats %s' % (VERSION)
    
def main():
    from . import configuration, populate, update

    parser = ArgumentParser(description='PyMoneyStats administration application')
    subparsers = parser.add_subparsers()
    
    subparser = subparsers.add_parser('version', help='Version information')
    subparser.set_defaults(func=version)
    
    configuration.init(subparsers)
    populate.init(subparsers)
    update.init(subparsers)
    
    args = parser.parse_args()

    args.func(args)